PDA

View Full Version : OpenGL for OSRS



kingarabian
02-06-2017, 10:15 AM
Hey guys.

Well, recently I got OSBuddy premium to check out its new OpenGL features. It looks nice and adds a modernish feel to the game, though it's still in beta

So I'm wondering if it's possible down the line to have OpenGl created for OSRS? What I'm understanding from Jagex (through reddit monitoring) they're taking a wait and see approach to this and see how it does within OSBuddy. But even then, they may not add OpenGL support for OSRS on their side.

So I'm wondering if it's possible to run SMART on OSBuddy, and using its OpenGL plugin in the future...

Or rip that OSBuddy OpenGL plugin and incorporate into SMART and go from there?

Just some ideas. I feel like having OpenGL for OSRS will attract a lot more activity back to SRL, allow for there to be better and complex scripts, and decrease the reliance on Reflection.

Kasi
02-06-2017, 02:26 PM
If it loads the OpenGL plugin then you can hook it - regardless whether you use smart or not.

Not sure if you can load it in smart though.

Flight
02-06-2017, 04:44 PM
I'm not sure if the download links for the zipped file still work but I'd check out this thread where it was originally developed for Simba:
https://www.moparscape.org/community/simba-development/170/simbainterception-opengl-plugin-lastest-release-11-12-2011-github/523561/

And SilabSoft's source on Github:
https://github.com/silabsoft/SimbaGL

I don't have OSBuddy premium, whatever that is, so I cannot test it myself. I know however a select few OSRS private servers offer OGL buffers, such as Alora. But if you have access to OSRS in OGL I think that old source is a good place to start.

Kasi
02-06-2017, 07:11 PM
Flight; Not sure a complete re-write is needed. I think anyone attempting this can first attempt to load the one we're currently using. Not so sure the current one wouldnt work. Maybe the GLX segment of it needs to be re-written.
https://github.com/Brandon-T/GLX
https://github.com/Brandon-T/SRL-GLX

Flight
02-08-2017, 03:05 PM
Flight; Not sure a complete re-write is needed. I think anyone attempting this can first attempt to load the one we're currently using. Not so sure the current one wouldnt work. Maybe the GLX segment of it needs to be re-written.
https://github.com/Brandon-T/GLX
https://github.com/Brandon-T/SRL-GLX

Hopefully not, considering how much of the current OGL plugin is already developed. But I wasn't sure how restricted it is to SMART and/or RS3 so I dismissed that possibility right away.

Kasi
02-08-2017, 04:45 PM
Hopefully not, considering how much of the current OGL plugin is already developed. But I wasn't sure how restricted it is to SMART and/or RS3 so I dismissed that possibility right away.

Yeah, you dont need smart to run the opengl plugin. You can just throw it in the JagexLauncher/bin folder and force the JagexLauncher.exe to load that one instead of your system one or the one that jagex gives you (i forget which), you ofcourse still need to load GLX. I think Brandon has a newer version of the plugins that aren't on git yet.

Joopi
02-08-2017, 05:27 PM
Does Jagex do any effort to detect a modified OpenGL plugin?
Kasi;

Kasi
02-08-2017, 05:45 PM
Does Jagex do any effort to detect a modified OpenGL plugin?
Kasi;

Unlikely that they check for signed binaries. I don't think it's a reliable way to ban on the basis of. Some people compile their own opengl binaries.